---
apiVersion: v1
kind: ConfigMap
metadata:
  name: mid-envfile
  namespace: edoc2
data:
  CACHEMODULE: "redis"
  RedisHostID1: "redis-sentinel0"
  RedisHostID2: "redis-sentinel1"
  RedisHostID3: "redis-sentinel2"
  RedisPort1: "26379"
  RedisPort2: "26379"
  RedisPort3: "26379"
  ### RedisMasterName: mymaster
  RedisPassword: ZgDSvOoY5Q
  #MQ
  MQEndPoint: "rabbitmq-0.rabbitmq.edoc2.svc.cluster.local:5672,rabbitmq-1.rabbitmq.edoc2.svc.cluster.local:5672,rabbitmq-2.rabbitmq.edoc2.svc.cluster.local:5672"  
  MQUserName: "admin"
  MQPwd: "edoc2"
  #DB
  DatabaseUserName: "repl"
  DatabasePassword: "Xjb0^DDy"
  DatabaseType: "3"
  DatabaseServerName: "middle-proxy"
  SyncDatabaseServerName: "middle-proxy"
  SyncDatabaseType: "3"
  SyncDatabaseUserName: "repl"
  SyncDatabasePassword: "Xjb0^DDy"
  SyncDatabaseServerPort: "3306"
  DatabaseServerPort: "3306"
  #ES
  ESURL: "http://middle-proxy:9200"
  ES_JAVA_OPTS: "-Xmx8g-Xms8g"
  #nginx
  CONTAINER_PLATFORM: "kubernetes"